Mailinglist Archive: opensuse-bugs (4233 mails)

< Previous Next >
[Bug 1016418] Gnome-boxes unable to start VMs, spice-qemu-char: unsupported type: smartcard
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 18 Jan 2017 14:51:10 +0000
  • Message-id: <bug-1016418-21960-bQIHX9MM7E@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1016418
http://bugzilla.opensuse.org/show_bug.cgi?id=1016418#c4

Robin Roevens <robin.roevens@xxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |robin.roevens@xxxxxx
Flags|needinfo?(tamas@tamasnagy.c |
|om) |

--- Comment #4 from Robin Roevens <robin.roevens@xxxxxx> ---
I see the same error using virt-manager on an up-to-date LEAP 42.2:
----
Fout bij starten van domein: internal error: process exited while connecting to
monitor: spice-qemu-char: unsupported type: smartcard
allowed names: vdagent, usbredir
qemu-system-x86_64: qemu-char.c:4540: qmp_chardev_add: Assertion `!i' failed.

Traceback (most recent call last):
File "/usr/share/virt-manager/virtManager/asyncjob.py", line 88, in
cb_wrapper
callback(asyncjob, *args, **kwargs)
File "/usr/share/virt-manager/virtManager/asyncjob.py", line 124, in tmpcb
callback(*args, **kwargs)
File "/usr/share/virt-manager/virtManager/libvirtobject.py", line 83, in
newfn
ret = fn(self, *args, **kwargs)
File "/usr/share/virt-manager/virtManager/domain.py", line 1404, in startup
self._backend.create()
File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1035, in create
if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error: process exited while connecting to monitor:
spice-qemu-char: unsupported type: smartcard
allowed names: vdagent, usbredir
qemu-system-x86_64: qemu-char.c:4540: qmp_chardev_add: Assertion `!i' failed.
----

..
If a remember correctly it did work on a fresh LEAP 42.2, but must have stopped
working somewhere after installing updates.

I also came across this similar Ubuntu bug
https://bugs.launchpad.net/ubuntu/+source/gnome-boxes/+bug/1484118 from 2015
where spice was compiled without smartcard support. I suppose this may also be
the problem here?

I could not test with the proposed qemu packages as the first link is dead and
the second does not contain qemu packages to upgrade to.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages